# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import

from ._container_apps_auth_configs_operations import ContainerAppsAuthConfigsOperations  # type: ignore
from ._available_workload_profiles_operations import AvailableWorkloadProfilesOperations  # type: ignore
from ._billing_meters_operations import BillingMetersOperations  # type: ignore
from ._connected_environments_operations import ConnectedEnvironmentsOperations  # type: ignore
from ._connected_environments_certificates_operations import ConnectedEnvironmentsCertificatesOperations  # type: ignore
from ._connected_environments_dapr_components_operations import ConnectedEnvironmentsDaprComponentsOperations  # type: ignore
from ._connected_environments_storages_operations import ConnectedEnvironmentsStoragesOperations  # type: ignore
from ._container_apps_operations import ContainerAppsOperations  # type: ignore
from ._container_apps_revisions_operations import ContainerAppsRevisionsOperations  # type: ignore
from ._container_apps_revision_replicas_operations import ContainerAppsRevisionReplicasOperations  # type: ignore
from ._container_apps_diagnostics_operations import ContainerAppsDiagnosticsOperations  # type: ignore
from ._managed_environment_diagnostics_operations import ManagedEnvironmentDiagnosticsOperations  # type: ignore
from ._managed_environments_diagnostics_operations import ManagedEnvironmentsDiagnosticsOperations  # type: ignore
from ._jobs_operations import JobsOperations  # type: ignore
from ._operations import Operations  # type: ignore
from ._java_components_operations import JavaComponentsOperations  # type: ignore
from ._jobs_executions_operations import JobsExecutionsOperations  # type: ignore
from ._container_apps_api_client_operations import ContainerAppsAPIClientOperationsMixin  # type: ignore
from ._managed_environments_operations import ManagedEnvironmentsOperations  # type: ignore
from ._certificates_operations import CertificatesOperations  # type: ignore
from ._managed_certificates_operations import ManagedCertificatesOperations  # type: ignore
from ._namespaces_operations import NamespacesOperations  # type: ignore
from ._dapr_components_operations import DaprComponentsOperations  # type: ignore
from ._managed_environments_storages_operations import ManagedEnvironmentsStoragesOperations  # type: ignore
from ._container_apps_session_pools_operations import ContainerAppsSessionPoolsOperations  # type: ignore
from ._container_apps_source_controls_operations import ContainerAppsSourceControlsOperations  # type: ignore
from ._usages_operations import UsagesOperations  # type: ignore
from ._managed_environment_usages_operations import ManagedEnvironmentUsagesOperations  # type: ignore

from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "ContainerAppsAuthConfigsOperations",
    "AvailableWorkloadProfilesOperations",
    "BillingMetersOperations",
    "ConnectedEnvironmentsOperations",
    "ConnectedEnvironmentsCertificatesOperations",
    "ConnectedEnvironmentsDaprComponentsOperations",
    "ConnectedEnvironmentsStoragesOperations",
    "ContainerAppsOperations",
    "ContainerAppsRevisionsOperations",
    "ContainerAppsRevisionReplicasOperations",
    "ContainerAppsDiagnosticsOperations",
    "ManagedEnvironmentDiagnosticsOperations",
    "ManagedEnvironmentsDiagnosticsOperations",
    "JobsOperations",
    "Operations",
    "JavaComponentsOperations",
    "JobsExecutionsOperations",
    "ContainerAppsAPIClientOperationsMixin",
    "ManagedEnvironmentsOperations",
    "CertificatesOperations",
    "ManagedCertificatesOperations",
    "NamespacesOperations",
    "DaprComponentsOperations",
    "ManagedEnvironmentsStoragesOperations",
    "ContainerAppsSessionPoolsOperations",
    "ContainerAppsSourceControlsOperations",
    "UsagesOperations",
    "ManagedEnvironmentUsagesOperations",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
