# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    AllowedAudiencesValidation,
    AllowedPrincipals,
    AppLogsConfiguration,
    AppRegistration,
    Apple,
    AppleRegistration,
    AuthConfig,
    AuthConfigCollection,
    AuthPlatform,
    AvailableOperations,
    AvailableWorkloadProfile,
    AvailableWorkloadProfileProperties,
    AvailableWorkloadProfilesCollection,
    AzureActiveDirectory,
    AzureActiveDirectoryLogin,
    AzureActiveDirectoryRegistration,
    AzureActiveDirectoryValidation,
    AzureCredentials,
    AzureFileProperties,
    AzureStaticWebApps,
    AzureStaticWebAppsRegistration,
    BaseContainer,
    BillingMeter,
    BillingMeterCollection,
    BillingMeterProperties,
    BlobStorageTokenStore,
    Certificate,
    CertificateCollection,
    CertificateKeyVaultProperties,
    CertificatePatch,
    CertificateProperties,
    CheckNameAvailabilityRequest,
    CheckNameAvailabilityResponse,
    ClientRegistration,
    Configuration,
    ConnectedEnvironment,
    ConnectedEnvironmentCollection,
    ConnectedEnvironmentStorage,
    ConnectedEnvironmentStorageProperties,
    ConnectedEnvironmentStoragesCollection,
    Container,
    ContainerApp,
    ContainerAppAuthToken,
    ContainerAppCollection,
    ContainerAppJobExecutions,
    ContainerAppProbe,
    ContainerAppProbeHttpGet,
    ContainerAppProbeHttpGetHttpHeadersItem,
    ContainerAppProbeTcpSocket,
    ContainerAppSecret,
    ContainerResources,
    CookieExpiration,
    CorsPolicy,
    CustomContainerTemplate,
    CustomDomain,
    CustomDomainConfiguration,
    CustomHostnameAnalysisResult,
    CustomHostnameAnalysisResultCustomDomainVerificationFailureInfo,
    CustomHostnameAnalysisResultCustomDomainVerificationFailureInfoDetailsItem,
    CustomOpenIdConnectProvider,
    CustomScaleRule,
    Dapr,
    DaprComponent,
    DaprComponentsCollection,
    DaprConfiguration,
    DaprMetadata,
    DaprSecret,
    DaprSecretsCollection,
    DefaultAuthorizationPolicy,
    DefaultErrorResponse,
    DefaultErrorResponseError,
    DefaultErrorResponseErrorDetailsItem,
    DiagnosticDataProviderMetadata,
    DiagnosticDataProviderMetadataPropertyBagItem,
    DiagnosticDataTableResponseColumn,
    DiagnosticDataTableResponseObject,
    DiagnosticRendering,
    DiagnosticSupportTopic,
    Diagnostics,
    DiagnosticsCollection,
    DiagnosticsDataApiResponse,
    DiagnosticsDefinition,
    DiagnosticsProperties,
    DiagnosticsStatus,
    DynamicPoolConfiguration,
    EncryptionSettings,
    EnvironmentAuthToken,
    EnvironmentVar,
    ErrorAdditionalInfo,
    ErrorDetail,
    ErrorResponse,
    ExtendedLocation,
    Facebook,
    ForwardProxy,
    GitHub,
    GithubActionConfiguration,
    GlobalValidation,
    Google,
    HttpScaleRule,
    HttpSettings,
    HttpSettingsRoutes,
    IdentityProviders,
    IdentitySettings,
    Ingress,
    IngressPortMapping,
    IngressStickySessions,
    InitContainer,
    IpSecurityRestrictionRule,
    JavaComponent,
    JavaComponentConfigurationProperty,
    JavaComponentIngress,
    JavaComponentProperties,
    JavaComponentPropertiesScale,
    JavaComponentServiceBind,
    JavaComponentsCollection,
    Job,
    JobConfiguration,
    JobConfigurationEventTriggerConfig,
    JobConfigurationManualTriggerConfig,
    JobConfigurationScheduleTriggerConfig,
    JobExecution,
    JobExecutionBase,
    JobExecutionContainer,
    JobExecutionNamesCollection,
    JobExecutionTemplate,
    JobPatchProperties,
    JobPatchPropertiesProperties,
    JobScale,
    JobScaleRule,
    JobSecretsCollection,
    JobTemplate,
    JobsCollection,
    JwtClaimChecks,
    KedaConfiguration,
    LifecycleConfiguration,
    ListUsagesResult,
    LogAnalyticsConfiguration,
    Login,
    LoginRoutes,
    LoginScopes,
    ManagedCertificate,
    ManagedCertificateCollection,
    ManagedCertificatePatch,
    ManagedCertificateProperties,
    ManagedEnvironment,
    ManagedEnvironmentPropertiesPeerAuthentication,
    ManagedEnvironmentPropertiesPeerTrafficConfiguration,
    ManagedEnvironmentPropertiesPeerTrafficConfigurationEncryption,
    ManagedEnvironmentStorage,
    ManagedEnvironmentStorageProperties,
    ManagedEnvironmentStoragesCollection,
    ManagedEnvironmentsCollection,
    ManagedIdentitySetting,
    ManagedServiceIdentity,
    Mtls,
    NfsAzureFileProperties,
    Nonce,
    OpenIdConnectClientCredential,
    OpenIdConnectConfig,
    OpenIdConnectLogin,
    OpenIdConnectRegistration,
    OperationDetail,
    OperationDisplay,
    ProxyResource,
    QueueScaleRule,
    RegistryCredentials,
    RegistryInfo,
    Replica,
    ReplicaCollection,
    ReplicaContainer,
    Resource,
    Revision,
    RevisionCollection,
    Runtime,
    RuntimeJava,
    Scale,
    ScaleConfiguration,
    ScaleRule,
    ScaleRuleAuth,
    Secret,
    SecretVolumeItem,
    SecretsCollection,
    Service,
    ServiceBind,
    SessionContainer,
    SessionContainerResources,
    SessionIngress,
    SessionNetworkConfiguration,
    SessionPool,
    SessionPoolCollection,
    SessionPoolSecret,
    SessionPoolUpdatableProperties,
    SessionRegistryCredentials,
    SourceControl,
    SourceControlCollection,
    SpringBootAdminComponent,
    SpringCloudConfigComponent,
    SpringCloudEurekaComponent,
    SystemData,
    TcpScaleRule,
    Template,
    TokenStore,
    TrackedResource,
    TrafficWeight,
    Twitter,
    TwitterRegistration,
    Usage,
    UsageName,
    UserAssignedIdentity,
    VnetConfiguration,
    Volume,
    VolumeMount,
    WorkloadProfile,
    WorkloadProfileStates,
    WorkloadProfileStatesCollection,
    WorkloadProfileStatesProperties,
)

from ._container_apps_api_client_enums import (  # type: ignore
    AccessMode,
    Action,
    ActiveRevisionsMode,
    Affinity,
    AppProtocol,
    Applicability,
    BindingType,
    CertificateProvisioningState,
    CheckNameAvailabilityReason,
    ConnectedEnvironmentProvisioningState,
    ContainerAppContainerRunningState,
    ContainerAppProvisioningState,
    ContainerAppReplicaRunningState,
    ContainerAppRunningStatus,
    ContainerType,
    CookieExpirationConvention,
    CreatedByType,
    DnsVerificationTestResult,
    EnvironmentProvisioningState,
    ExtendedLocationTypes,
    ForwardProxyConvention,
    IdentitySettingsLifeCycle,
    IngressClientCertificateMode,
    IngressTransportMethod,
    JavaComponentProvisioningState,
    JavaComponentType,
    JobExecutionRunningState,
    JobProvisioningState,
    LifecycleType,
    LogLevel,
    ManagedCertificateDomainControlValidation,
    ManagedServiceIdentityType,
    PoolManagementType,
    RevisionHealthState,
    RevisionProvisioningState,
    RevisionRunningState,
    Scheme,
    SessionNetworkStatus,
    SessionPoolProvisioningState,
    SourceControlOperationState,
    StorageType,
    TriggerType,
    Type,
    UnauthenticatedClientActionV2,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AllowedAudiencesValidation",
    "AllowedPrincipals",
    "AppLogsConfiguration",
    "AppRegistration",
    "Apple",
    "AppleRegistration",
    "AuthConfig",
    "AuthConfigCollection",
    "AuthPlatform",
    "AvailableOperations",
    "AvailableWorkloadProfile",
    "AvailableWorkloadProfileProperties",
    "AvailableWorkloadProfilesCollection",
    "AzureActiveDirectory",
    "AzureActiveDirectoryLogin",
    "AzureActiveDirectoryRegistration",
    "AzureActiveDirectoryValidation",
    "AzureCredentials",
    "AzureFileProperties",
    "AzureStaticWebApps",
    "AzureStaticWebAppsRegistration",
    "BaseContainer",
    "BillingMeter",
    "BillingMeterCollection",
    "BillingMeterProperties",
    "BlobStorageTokenStore",
    "Certificate",
    "CertificateCollection",
    "CertificateKeyVaultProperties",
    "CertificatePatch",
    "CertificateProperties",
    "CheckNameAvailabilityRequest",
    "CheckNameAvailabilityResponse",
    "ClientRegistration",
    "Configuration",
    "ConnectedEnvironment",
    "ConnectedEnvironmentCollection",
    "ConnectedEnvironmentStorage",
    "ConnectedEnvironmentStorageProperties",
    "ConnectedEnvironmentStoragesCollection",
    "Container",
    "ContainerApp",
    "ContainerAppAuthToken",
    "ContainerAppCollection",
    "ContainerAppJobExecutions",
    "ContainerAppProbe",
    "ContainerAppProbeHttpGet",
    "ContainerAppProbeHttpGetHttpHeadersItem",
    "ContainerAppProbeTcpSocket",
    "ContainerAppSecret",
    "ContainerResources",
    "CookieExpiration",
    "CorsPolicy",
    "CustomContainerTemplate",
    "CustomDomain",
    "CustomDomainConfiguration",
    "CustomHostnameAnalysisResult",
    "CustomHostnameAnalysisResultCustomDomainVerificationFailureInfo",
    "CustomHostnameAnalysisResultCustomDomainVerificationFailureInfoDetailsItem",
    "CustomOpenIdConnectProvider",
    "CustomScaleRule",
    "Dapr",
    "DaprComponent",
    "DaprComponentsCollection",
    "DaprConfiguration",
    "DaprMetadata",
    "DaprSecret",
    "DaprSecretsCollection",
    "DefaultAuthorizationPolicy",
    "DefaultErrorResponse",
    "DefaultErrorResponseError",
    "DefaultErrorResponseErrorDetailsItem",
    "DiagnosticDataProviderMetadata",
    "DiagnosticDataProviderMetadataPropertyBagItem",
    "DiagnosticDataTableResponseColumn",
    "DiagnosticDataTableResponseObject",
    "DiagnosticRendering",
    "DiagnosticSupportTopic",
    "Diagnostics",
    "DiagnosticsCollection",
    "DiagnosticsDataApiResponse",
    "DiagnosticsDefinition",
    "DiagnosticsProperties",
    "DiagnosticsStatus",
    "DynamicPoolConfiguration",
    "EncryptionSettings",
    "EnvironmentAuthToken",
    "EnvironmentVar",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorResponse",
    "ExtendedLocation",
    "Facebook",
    "ForwardProxy",
    "GitHub",
    "GithubActionConfiguration",
    "GlobalValidation",
    "Google",
    "HttpScaleRule",
    "HttpSettings",
    "HttpSettingsRoutes",
    "IdentityProviders",
    "IdentitySettings",
    "Ingress",
    "IngressPortMapping",
    "IngressStickySessions",
    "InitContainer",
    "IpSecurityRestrictionRule",
    "JavaComponent",
    "JavaComponentConfigurationProperty",
    "JavaComponentIngress",
    "JavaComponentProperties",
    "JavaComponentPropertiesScale",
    "JavaComponentServiceBind",
    "JavaComponentsCollection",
    "Job",
    "JobConfiguration",
    "JobConfigurationEventTriggerConfig",
    "JobConfigurationManualTriggerConfig",
    "JobConfigurationScheduleTriggerConfig",
    "JobExecution",
    "JobExecutionBase",
    "JobExecutionContainer",
    "JobExecutionNamesCollection",
    "JobExecutionTemplate",
    "JobPatchProperties",
    "JobPatchPropertiesProperties",
    "JobScale",
    "JobScaleRule",
    "JobSecretsCollection",
    "JobTemplate",
    "JobsCollection",
    "JwtClaimChecks",
    "KedaConfiguration",
    "LifecycleConfiguration",
    "ListUsagesResult",
    "LogAnalyticsConfiguration",
    "Login",
    "LoginRoutes",
    "LoginScopes",
    "ManagedCertificate",
    "ManagedCertificateCollection",
    "ManagedCertificatePatch",
    "ManagedCertificateProperties",
    "ManagedEnvironment",
    "ManagedEnvironmentPropertiesPeerAuthentication",
    "ManagedEnvironmentPropertiesPeerTrafficConfiguration",
    "ManagedEnvironmentPropertiesPeerTrafficConfigurationEncryption",
    "ManagedEnvironmentStorage",
    "ManagedEnvironmentStorageProperties",
    "ManagedEnvironmentStoragesCollection",
    "ManagedEnvironmentsCollection",
    "ManagedIdentitySetting",
    "ManagedServiceIdentity",
    "Mtls",
    "NfsAzureFileProperties",
    "Nonce",
    "OpenIdConnectClientCredential",
    "OpenIdConnectConfig",
    "OpenIdConnectLogin",
    "OpenIdConnectRegistration",
    "OperationDetail",
    "OperationDisplay",
    "ProxyResource",
    "QueueScaleRule",
    "RegistryCredentials",
    "RegistryInfo",
    "Replica",
    "ReplicaCollection",
    "ReplicaContainer",
    "Resource",
    "Revision",
    "RevisionCollection",
    "Runtime",
    "RuntimeJava",
    "Scale",
    "ScaleConfiguration",
    "ScaleRule",
    "ScaleRuleAuth",
    "Secret",
    "SecretVolumeItem",
    "SecretsCollection",
    "Service",
    "ServiceBind",
    "SessionContainer",
    "SessionContainerResources",
    "SessionIngress",
    "SessionNetworkConfiguration",
    "SessionPool",
    "SessionPoolCollection",
    "SessionPoolSecret",
    "SessionPoolUpdatableProperties",
    "SessionRegistryCredentials",
    "SourceControl",
    "SourceControlCollection",
    "SpringBootAdminComponent",
    "SpringCloudConfigComponent",
    "SpringCloudEurekaComponent",
    "SystemData",
    "TcpScaleRule",
    "Template",
    "TokenStore",
    "TrackedResource",
    "TrafficWeight",
    "Twitter",
    "TwitterRegistration",
    "Usage",
    "UsageName",
    "UserAssignedIdentity",
    "VnetConfiguration",
    "Volume",
    "VolumeMount",
    "WorkloadProfile",
    "WorkloadProfileStates",
    "WorkloadProfileStatesCollection",
    "WorkloadProfileStatesProperties",
    "AccessMode",
    "Action",
    "ActiveRevisionsMode",
    "Affinity",
    "AppProtocol",
    "Applicability",
    "BindingType",
    "CertificateProvisioningState",
    "CheckNameAvailabilityReason",
    "ConnectedEnvironmentProvisioningState",
    "ContainerAppContainerRunningState",
    "ContainerAppProvisioningState",
    "ContainerAppReplicaRunningState",
    "ContainerAppRunningStatus",
    "ContainerType",
    "CookieExpirationConvention",
    "CreatedByType",
    "DnsVerificationTestResult",
    "EnvironmentProvisioningState",
    "ExtendedLocationTypes",
    "ForwardProxyConvention",
    "IdentitySettingsLifeCycle",
    "IngressClientCertificateMode",
    "IngressTransportMethod",
    "JavaComponentProvisioningState",
    "JavaComponentType",
    "JobExecutionRunningState",
    "JobProvisioningState",
    "LifecycleType",
    "LogLevel",
    "ManagedCertificateDomainControlValidation",
    "ManagedServiceIdentityType",
    "PoolManagementType",
    "RevisionHealthState",
    "RevisionProvisioningState",
    "RevisionRunningState",
    "Scheme",
    "SessionNetworkStatus",
    "SessionPoolProvisioningState",
    "SourceControlOperationState",
    "StorageType",
    "TriggerType",
    "Type",
    "UnauthenticatedClientActionV2",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
